from math import pi

class Circle:
  
  def __init__(self, r):
    if r <= 0:
      raise ValueError("Radius must be positive.")
    self.r = r
    
  def getR(self):
    return self.r
    
  def setR(self, r):
    self.r = r
    
  def perimeter(self):
    return 2 * pi * self.r
    
  def area(self):
    return pi * self.r**2
    
  def scale(self, scaleFactor):
    if scaleFactor <= 0:
      raise ValueError("Scaling factor must be positive.")
    self.r *= scaleFactor